Package com.avaya.clientservices.call.conference

## Class PendingParticipantAdmissionCancellationReason

- java.lang.Object
- - com.avaya.clientservices.call.conference.PendingParticipantAdmissionCancellationReason

-     public class PendingParticipantAdmissionCancellationReason
      extends java.lang.Object

  Class representing the reason of admission cancellation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode` | Admission request cancellation codes.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PendingParticipantAdmissionCancellationReason​(PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode reasonCode, java.lang.String reasonString, java.lang.String anotherModeratorName)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAnotherModeratorName()` | The name of another moderator who has already admitted/rejected participant request.
    `PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode` | `getReasonCode()` | Returns the admission cancellation reason code.
    `java.lang.String` | `getReasonString()` | Returns the string representation of admission cancellation reason code.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PendingParticipantAdmissionCancellationReason

          public PendingParticipantAdmissionCancellationReason​(PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode reasonCode,
                                                               java.lang.String reasonString,
                                                               java.lang.String anotherModeratorName)

      Constructor
      Parameters:
        `reasonCode` - A code indicating the cancellation reason of admission request.
        `reasonString` - String representation of cancellation reason.
        `anotherModeratorName` - The name of another moderator who has already admitted/rejected participant request.

  - ### Method Detail

    - #### getReasonCode

          public PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode getReasonCode()

      Returns the admission cancellation reason code.
      Returns:
        PendingParticipantAdmissionCancellationReasonCode

    - #### getReasonString

          public java.lang.String getReasonString()

      Returns the string representation of admission cancellation reason code.
      Returns:
        String

    - #### getAnotherModeratorName

          public java.lang.String getAnotherModeratorName()

      The name of another moderator who has already admitted/rejected participant request. Filled in case of ACCEPTED_BY_ANOTHER_MODERATOR or REJECTED_BY_ANOTHER_MODERATOR Empty by default
      Returns:
        String